Botan 1.10.17

Namespaces | Macros | Functions
version.h File Reference
`#include <botan/types.h>`
`#include <string>`

Go to the source code of this file.

## Namespaces
| Botan

## Macros
#define | BOTAN_VERSION_CODE
#define | BOTAN_VERSION_CODE_FOR(a, b, c) ((a << 16) | (b << 8) | (c))

## Functions
u32bit | Botan::version_datestamp ()
u32bit | Botan::version_major ()
u32bit | Botan::version_minor ()
u32bit | Botan::version_patch ()
std::string | Botan::version_string ()

## Macro Definition Documentation

## ◆ BOTAN_VERSION_CODE

#define BOTAN_VERSION_CODE

Value:
BOTAN_VERSION_CODE_FOR(BOTAN_VERSION_MAJOR, \
BOTAN_VERSION_MINOR, \
BOTAN_VERSION_PATCH)
BOTAN_VERSION_CODE_FOR
#define BOTAN_VERSION_CODE_FOR(a, b, c)
Definition: version.h:58

Compare using BOTAN_VERSION_CODE_FOR, as in

# if BOTAN_VERSION_CODE < BOTAN_VERSION_CODE_FOR(1,8,0)

# error "Botan version too old"

# endif

Definition at line 66 of file version.h.

## ◆ BOTAN_VERSION_CODE_FOR

#define BOTAN_VERSION_CODE_FOR | ( |  | a,
|  |  | b,
|  |  | c
| ) |  | ((a << 16) | (b << 8) | (c))

Definition at line 58 of file version.h.